Subject: Re: [PATCH] ipv6: match those routes that have different metirc

From: Duan Jiong <[email-masked]>
Date: Mon, 11 Nov 2013 15:16:24 +0800

于 2013年11月11日 14:07, Hannes Frederic Sowa 写道:
> On Mon, Nov 11, 2013 at 11:00:53AM +0800, Duan Jiong wrote:
>> Now the kernel only match those routes that have the same
>> metirc, so if those routes are non-reachable, then the packets
>> can't be sent out.
>>
>> But according to the rfc 4191 section 3.2, if the best route
>> points to a non-reachable route, the next best route should be
>> consulted. So the kernel should not only match those routes that
>> have minimum metric, and should also match others.
> 
> I am not so keen on chaning how metrics get handled. Please note that
> metrics are a pure linux-centric concept and are not standardized. I bet
> some people depend on how these work and have the same semantic as IPv4
> ones because they use the same code in their routing daemon backends.
> 

I have a question. If we only match those routes that have lowest metric, others
will never be used, so why the other routes are inserted to the router table?

Thanks,
  Duan

> Also, I think it is better targetted for net-next, which is currently closed.
> So we have some time to discuss. ;)
> 
> Greetings,
> 
>   Hannes
> 
>